Bug 39980 - Images not scaled in RTF, FOP 0.92b
Images not scaled in RTF, FOP 0.92b
Status: CLOSED FIXED
Product: Fop - Now in Jira
Classification: Unclassified
Component: rtf
0.92
Other Windows XP
: P2 enhancement
: ---
Assigned To: fop-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-07-06 12:40 UTC by Mike Lindenblatt
Modified: 2012-04-01 06:34 UTC (History)
2 users (show)



Attachments
image scaling patch (13.65 KB, patch)
2008-06-23 02:38 UTC, Max Aster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lindenblatt 2006-07-06 12:40:24 UTC
I'm trying to create RTF-Output similar to PDF, especially i want to insert 
some Images and scale these to fix sizes.

Now i've tried the examples/fo/basic/images.fo to output as RTF, but no image 
is scaled. 

Should this work or is this a known limitation ?
Comment 1 Jeremias Maerki 2006-07-10 12:57:31 UTC
RTF is still behind the other output formats and probably will always be simply
because of the fact that RTF is not as expressive as it should be for mapping
XSL-FO. Obviously, that doesn't apply to image sizing. I can see that there are
certain effects from certain properties. But the image handling part will still
need some attention until it provides the same functionality as is available
with the output formats that are using the layout engine. Volunteers are
welcome. Shouldn't be too difficult, so don't be afraid to jump in. If you need
pointers just shout.
Comment 2 Max Aster 2008-06-23 02:38:13 UTC
Created attachment 22160 [details]
image scaling patch

- percent values for content-width and content-height possible
- uniform scaling working
Comment 3 Jeremias Maerki 2008-07-06 08:47:32 UTC
I'm going to defer this patch for later. It breaks backwards compatibility of the RTF library which is known to be used separately by others. I'm going to look into using the org.apache.fop.layoutmgr.inline.ImageLayout class for handling the image layout as an alternative. That allows to avoid duplication of a lot of logic.
Comment 4 Jeremias Maerki 2008-07-09 06:00:16 UTC
Should be fixed now: http://svn.apache.org/viewvc?rev=675150&view=rev

Maximilan, thanks for you patch. But I think I've found a better solution that reuses code from the layout engine and does not cause compatibility issues.
Comment 5 Glenn Adams 2012-04-01 06:34:32 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed